Skip to main content
GET
/
fleet
/
assets
/
device-recovery-missing
[beta] List missing device recovery assets.
curl --request GET \
  --url https://api.samsara.com/fleet/assets/device-recovery-missing \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "12345",
      "name": "Trailer-A1234",
      "updated_at_ms": 1609459200000,
      "initiated_at_ms": 1609459200000,
      "initiated_by_user_id": 1234,
      "note": "Asset was last seen at warehouse A",
      "notification_recipients": [
        {
          "email": "jane.doe@example.com",
          "name": "Jane Doe",
          "notification_types": [
            "email"
          ],
          "user_id": 1234
        }
      ],
      "update_source": "dashboard",
      "updated_by_user_id": 1234
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of assets currently marked as missing.

pagination
object
required

Pagination parameters.